[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.OnSelectEditor

Event handler signalled when the editor is selected for a Field in the grid.

## Declaration

Source position: dbgrids.pas line 534

`protected property TCustomDBGrid.OnSelectEditor : TDbGridSelEditorEvent read FOnSelectEditor write FOnSelectEditor;`

## Description

OnSelectEditor is a TDbGridSelEditorEvent property that implements the event handler signalled when an editor control is selected for the current Field in the grid. OnSelectEditor is used to modify or override the editor control for SelectedField in the grid control.

OnSelectEditor is signalled in the SelectEditor method after the default editor control has be chosen and its maximum length has been set. Assign a procedure to the event handler which modifies or assigns the control in the Editor argument.